Loading...
Searching...
No Matches
AwsRestClientDataProvider::AwsRestClientDataProvider Class Reference

The AWS REST client data provider class, provides API classes as children. More...

`#include <AwsRestClientDataProvider.qc.dox.h>`

Inherits AbstractDataProvider.

## Public Member Functions

| constructor (*hash< auto > options)
| Creates the object from constructor options.
| constructor (AwsRestClient rest)
| Creates the object from a REST connection.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.

## Static Public Member Functions

static AwsRestClient | getAwsRestConnection (hash< auto > options)
| Returns a REST connection.

## Public Attributes

const | ConstructorOptions
| Constructor arguments.
const | ProviderInfo
| Provider info.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or NOTHING if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Detailed Description

The AWS REST client data provider class, provides API classes as children.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider AwsRestClientDataProvider::AwsRestClientDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or NOTHING if the given child is unknown.

Returns
  the given child provider or NOTHING if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > AwsRestClientDataProvider::AwsRestClientDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any